
Robotics Service Bus - Tasks #1132
Integrate all examples into manual
08/07/2012 03:52 PM - J. Moringen

Status: Resolved Start date: 08/07/2012
Priority: High Due date:
Assignee: J. Moringen % Done: 100%
Category: Documentation Estimated time: 3.00 hours
Target version: rsb-0.9
Description

Currently, there are (broken) links [[Examples|in the wiki]].

How we noticed this:

; Andy1978 (~andy@holobabe.et-it.hs-offenburg.de) has joined channel #rsb
                                        [14:01]
<Andy1978> hi at all. I tried to see some examples but the C++ links on
       https://code.cor-lab.org/projects/rsb/wiki/Examples gives all 404
                                        [14:03]
<Andy1978> for example there is a link to
       https://code.cor-lab.org/projects/rsb/repository/entry/trunk/cpp/core/examples
; Andy1978 (~andy@holobabe.et-it.hs-offenburg.de) has left channel #rsb: #rsb
                                        [15:41]

Related issues:
Related to Robotics Service Bus - Tasks # 900: Finalize initial version of RS... Resolved 07/13/2012
Related to Robotics Service Bus - Tasks # 1128: Delete wiki pages which dupli... Resolved 08/04/2012
Duplicated by Robotics Service Bus - Bug # 1133: Check wiki links to reposito... Rejected 08/07/2012

Associated revisions
Revision 2f2be84b - 10/13/2012 04:37 PM - J. Moringen

Renamed section Tutorial -> Examples

refs #1132

    -  examples-basic.rst: renamed {tutorial -> examples}-basic.rst
    -  examples-chat.rst: similar
    -  examples-converters.rst: similar
    -  examples-extension-points.rst: similar
    -  examples.rst: similar; changed content to reflect change from

  "tutorial" to "examples" 
    -  index.rst: changed include {tutorial -> examples}.rst
    -  _templates/page.html: changed heading and description tutorial ->

  examples

Revision d94326ca - 10/16/2012 04:06 PM - J. Moringen

Backport: Renamed section Tutorial -> Examples
refs #1132

    -  examples-basic.rst: renamed {tutorial -> examples}-basic.rst
    -  examples-chat.rst: similar
    -  examples-converters.rst: similar
    -  examples-extension-points.rst: similar
    -  examples.rst: similar; changed content to reflect change from

  "tutorial" to "examples" 
    -  index.rst: changed include {tutorial -> examples}.rst

History
#1 - 08/07/2012 03:55 PM - J. Moringen
- Description updated

#2 - 10/01/2012 05:59 PM - S. Wrede
- Estimated time set to 3.00

This problem still persists. Either we should update the links now to the GIT repos or just move everything to Sphinx! This must be done before the ISy
project starts...

#3 - 10/01/2012 06:01 PM - S. Wrede

Furthermore, we should clearly reference the examples for the other languages (if the "default" examples are shown in Python) as is currently the case
in the "Tutorial" section of the Sphinx docs.

#4 - 10/01/2012 06:02 PM - S. Wrede

As a workaround, all the examples are part of the GIT:
https://code.cor-lab.org/projects/rsb/repository/rsb-cpp/revisions/master/show/examples

#5 - 10/07/2012 09:18 PM - S. Wrede

@Agnes: The C++ examples were added (so far w/o further explanations) by Jan to the trunk manual: 
http://docs.cor-lab.de/rsb-manual/trunk/html/tutorial.html

#6 - 10/12/2012 11:06 PM - J. Moringen
- Status changed from New to Feedback
- Assignee set to J. Moringen
- % Done changed from 0 to 100

The manual still does not include each and every example. However, I think the important ones are included. Can we close this?

#7 - 10/13/2012 03:03 PM - S. Wrede

Could you rename the Section to Examples in order to avoid confusion with the top-level tutorials?
Furthermore, we should remove the now moved examples from the Wiki page and remove or fix the broken links for the further examples that come
with the source code.

Once this is done, we may close this issue for now.

#8 - 10/13/2012 04:43 PM - J. Moringen

Sebastian Wrede wrote:

Could you rename the Section to Examples in order to avoid confusion with the top-level tutorials?

commit:rsb-manual|2f2be84b

Furthermore, we should remove the now moved examples from the Wiki page and remove or fix the broken links for the further examples that
come with the source code.

Please add the relevant wiki pages to #1128.

Once this is done, we may close this issue for now.

I would rather close this once for good and create new issues if additional problems surface.

#9 - 10/13/2012 04:44 PM - J. Moringen
- Status changed from Feedback to Resolved
